//Copyright 1986-2019 Xilinx, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Tool Version: Vivado v.2019.2 (win64) Build 2708876 Wed Nov  6 21:40:23 MST 2019
//Date        : Tue Mar 18 13:48:36 2025
//Host        : BHKLaptop running 64-bit major release  (build 9200)
//Command     : generate_target pcie_ddr_wrapper.bd
//Design      : pcie_ddr_wrapper
//Purpose     : IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

module pcie_ddr_wrapper
   (ddr_addr,
    ddr_axi_araddr,
    ddr_axi_arburst,
    ddr_axi_arcache,
    ddr_axi_arid,
    ddr_axi_arlen,
    ddr_axi_arlock,
    ddr_axi_arprot,
    ddr_axi_arqos,
    ddr_axi_arready,
    ddr_axi_arsize,
    ddr_axi_arvalid,
    ddr_axi_awaddr,
    ddr_axi_awburst,
    ddr_axi_awcache,
    ddr_axi_awid,
    ddr_axi_awlen,
    ddr_axi_awlock,
    ddr_axi_awprot,
    ddr_axi_awqos,
    ddr_axi_awready,
    ddr_axi_awsize,
    ddr_axi_awvalid,
    ddr_axi_bid,
    ddr_axi_bready,
    ddr_axi_bresp,
    ddr_axi_bvalid,
    ddr_axi_rdata,
    ddr_axi_rid,
    ddr_axi_rlast,
    ddr_axi_rready,
    ddr_axi_rresp,
    ddr_axi_rvalid,
    ddr_axi_wdata,
    ddr_axi_wlast,
    ddr_axi_wready,
    ddr_axi_wstrb,
    ddr_axi_wvalid,
    ddr_ba,
    ddr_cas_n,
    ddr_ck_n,
    ddr_ck_p,
    ddr_cke,
    ddr_cs_n,
    ddr_dm,
    ddr_dq,
    ddr_dqs_n,
    ddr_dqs_p,
    ddr_odt,
    ddr_ras_n,
    ddr_reset_n,
    ddr_we_n,
    init_calib_complete,
    pcie_clk_clk_n,
    pcie_clk_clk_p,
    pcie_mgt_rxn,
    pcie_mgt_rxp,
    pcie_mgt_txn,
    pcie_mgt_txp,
    pcie_msi_enable,
    pcie_user_lnk_up,
    pcie_usr_irq_req,
    sys_clk,
    sys_rst_n_0,
    sys_rstn);
  output [15:0]ddr_addr;
  input [31:0]ddr_axi_araddr;
  input [1:0]ddr_axi_arburst;
  input [3:0]ddr_axi_arcache;
  input [0:0]ddr_axi_arid;
  input [7:0]ddr_axi_arlen;
  input [0:0]ddr_axi_arlock;
  input [2:0]ddr_axi_arprot;
  input [3:0]ddr_axi_arqos;
  output ddr_axi_arready;
  input [2:0]ddr_axi_arsize;
  input ddr_axi_arvalid;
  input [31:0]ddr_axi_awaddr;
  input [1:0]ddr_axi_awburst;
  input [3:0]ddr_axi_awcache;
  input [0:0]ddr_axi_awid;
  input [7:0]ddr_axi_awlen;
  input [0:0]ddr_axi_awlock;
  input [2:0]ddr_axi_awprot;
  input [3:0]ddr_axi_awqos;
  output ddr_axi_awready;
  input [2:0]ddr_axi_awsize;
  input ddr_axi_awvalid;
  output [0:0]ddr_axi_bid;
  input ddr_axi_bready;
  output [1:0]ddr_axi_bresp;
  output ddr_axi_bvalid;
  output [31:0]ddr_axi_rdata;
  output [0:0]ddr_axi_rid;
  output ddr_axi_rlast;
  input ddr_axi_rready;
  output [1:0]ddr_axi_rresp;
  output ddr_axi_rvalid;
  input [31:0]ddr_axi_wdata;
  input ddr_axi_wlast;
  output ddr_axi_wready;
  input [3:0]ddr_axi_wstrb;
  input ddr_axi_wvalid;
  output [2:0]ddr_ba;
  output ddr_cas_n;
  output [1:0]ddr_ck_n;
  output [1:0]ddr_ck_p;
  output [1:0]ddr_cke;
  output [1:0]ddr_cs_n;
  output [7:0]ddr_dm;
  inout [63:0]ddr_dq;
  inout [7:0]ddr_dqs_n;
  inout [7:0]ddr_dqs_p;
  output [1:0]ddr_odt;
  output ddr_ras_n;
  output ddr_reset_n;
  output ddr_we_n;
  output init_calib_complete;
  input [0:0]pcie_clk_clk_n;
  input [0:0]pcie_clk_clk_p;
  input [7:0]pcie_mgt_rxn;
  input [7:0]pcie_mgt_rxp;
  output [7:0]pcie_mgt_txn;
  output [7:0]pcie_mgt_txp;
  output pcie_msi_enable;
  output pcie_user_lnk_up;
  input [0:0]pcie_usr_irq_req;
  input sys_clk;
  input sys_rst_n_0;
  input sys_rstn;

  wire [15:0]ddr_addr;
  wire [31:0]ddr_axi_araddr;
  wire [1:0]ddr_axi_arburst;
  wire [3:0]ddr_axi_arcache;
  wire [0:0]ddr_axi_arid;
  wire [7:0]ddr_axi_arlen;
  wire [0:0]ddr_axi_arlock;
  wire [2:0]ddr_axi_arprot;
  wire [3:0]ddr_axi_arqos;
  wire ddr_axi_arready;
  wire [2:0]ddr_axi_arsize;
  wire ddr_axi_arvalid;
  wire [31:0]ddr_axi_awaddr;
  wire [1:0]ddr_axi_awburst;
  wire [3:0]ddr_axi_awcache;
  wire [0:0]ddr_axi_awid;
  wire [7:0]ddr_axi_awlen;
  wire [0:0]ddr_axi_awlock;
  wire [2:0]ddr_axi_awprot;
  wire [3:0]ddr_axi_awqos;
  wire ddr_axi_awready;
  wire [2:0]ddr_axi_awsize;
  wire ddr_axi_awvalid;
  wire [0:0]ddr_axi_bid;
  wire ddr_axi_bready;
  wire [1:0]ddr_axi_bresp;
  wire ddr_axi_bvalid;
  wire [31:0]ddr_axi_rdata;
  wire [0:0]ddr_axi_rid;
  wire ddr_axi_rlast;
  wire ddr_axi_rready;
  wire [1:0]ddr_axi_rresp;
  wire ddr_axi_rvalid;
  wire [31:0]ddr_axi_wdata;
  wire ddr_axi_wlast;
  wire ddr_axi_wready;
  wire [3:0]ddr_axi_wstrb;
  wire ddr_axi_wvalid;
  wire [2:0]ddr_ba;
  wire ddr_cas_n;
  wire [1:0]ddr_ck_n;
  wire [1:0]ddr_ck_p;
  wire [1:0]ddr_cke;
  wire [1:0]ddr_cs_n;
  wire [7:0]ddr_dm;
  wire [63:0]ddr_dq;
  wire [7:0]ddr_dqs_n;
  wire [7:0]ddr_dqs_p;
  wire [1:0]ddr_odt;
  wire ddr_ras_n;
  wire ddr_reset_n;
  wire ddr_we_n;
  wire init_calib_complete;
  wire [0:0]pcie_clk_clk_n;
  wire [0:0]pcie_clk_clk_p;
  wire [7:0]pcie_mgt_rxn;
  wire [7:0]pcie_mgt_rxp;
  wire [7:0]pcie_mgt_txn;
  wire [7:0]pcie_mgt_txp;
  wire pcie_msi_enable;
  wire pcie_user_lnk_up;
  wire [0:0]pcie_usr_irq_req;
  wire sys_clk;
  wire sys_rst_n_0;
  wire sys_rstn;

  pcie_ddr pcie_ddr_i
       (.ddr_addr(ddr_addr),
        .ddr_axi_araddr(ddr_axi_araddr),
        .ddr_axi_arburst(ddr_axi_arburst),
        .ddr_axi_arcache(ddr_axi_arcache),
        .ddr_axi_arid(ddr_axi_arid),
        .ddr_axi_arlen(ddr_axi_arlen),
        .ddr_axi_arlock(ddr_axi_arlock),
        .ddr_axi_arprot(ddr_axi_arprot),
        .ddr_axi_arqos(ddr_axi_arqos),
        .ddr_axi_arready(ddr_axi_arready),
        .ddr_axi_arsize(ddr_axi_arsize),
        .ddr_axi_arvalid(ddr_axi_arvalid),
        .ddr_axi_awaddr(ddr_axi_awaddr),
        .ddr_axi_awburst(ddr_axi_awburst),
        .ddr_axi_awcache(ddr_axi_awcache),
        .ddr_axi_awid(ddr_axi_awid),
        .ddr_axi_awlen(ddr_axi_awlen),
        .ddr_axi_awlock(ddr_axi_awlock),
        .ddr_axi_awprot(ddr_axi_awprot),
        .ddr_axi_awqos(ddr_axi_awqos),
        .ddr_axi_awready(ddr_axi_awready),
        .ddr_axi_awsize(ddr_axi_awsize),
        .ddr_axi_awvalid(ddr_axi_awvalid),
        .ddr_axi_bid(ddr_axi_bid),
        .ddr_axi_bready(ddr_axi_bready),
        .ddr_axi_bresp(ddr_axi_bresp),
        .ddr_axi_bvalid(ddr_axi_bvalid),
        .ddr_axi_rdata(ddr_axi_rdata),
        .ddr_axi_rid(ddr_axi_rid),
        .ddr_axi_rlast(ddr_axi_rlast),
        .ddr_axi_rready(ddr_axi_rready),
        .ddr_axi_rresp(ddr_axi_rresp),
        .ddr_axi_rvalid(ddr_axi_rvalid),
        .ddr_axi_wdata(ddr_axi_wdata),
        .ddr_axi_wlast(ddr_axi_wlast),
        .ddr_axi_wready(ddr_axi_wready),
        .ddr_axi_wstrb(ddr_axi_wstrb),
        .ddr_axi_wvalid(ddr_axi_wvalid),
        .ddr_ba(ddr_ba),
        .ddr_cas_n(ddr_cas_n),
        .ddr_ck_n(ddr_ck_n),
        .ddr_ck_p(ddr_ck_p),
        .ddr_cke(ddr_cke),
        .ddr_cs_n(ddr_cs_n),
        .ddr_dm(ddr_dm),
        .ddr_dq(ddr_dq),
        .ddr_dqs_n(ddr_dqs_n),
        .ddr_dqs_p(ddr_dqs_p),
        .ddr_odt(ddr_odt),
        .ddr_ras_n(ddr_ras_n),
        .ddr_reset_n(ddr_reset_n),
        .ddr_we_n(ddr_we_n),
        .init_calib_complete(init_calib_complete),
        .pcie_clk_clk_n(pcie_clk_clk_n),
        .pcie_clk_clk_p(pcie_clk_clk_p),
        .pcie_mgt_rxn(pcie_mgt_rxn),
        .pcie_mgt_rxp(pcie_mgt_rxp),
        .pcie_mgt_txn(pcie_mgt_txn),
        .pcie_mgt_txp(pcie_mgt_txp),
        .pcie_msi_enable(pcie_msi_enable),
        .pcie_user_lnk_up(pcie_user_lnk_up),
        .pcie_usr_irq_req(pcie_usr_irq_req),
        .sys_clk(sys_clk),
        .sys_rst_n_0(sys_rst_n_0),
        .sys_rstn(sys_rstn));
endmodule
